uuid: a21a5451-80e7-49ed-bd81-8bec96c94199
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_system_performance
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'Drupal 7 performance configuration'
source:
  plugin: variable
  variables:
    - preprocess_css
    - preprocess_js
    - cache_lifetime
    - page_compression
  source_module: system
process:
  css/preprocess:
    -
      plugin: get
      source: preprocess_css
  js/preprocess:
    -
      plugin: get
      source: preprocess_js
  cache/page/max_age:
    -
      plugin: get
      source: cache_lifetime
destination:
  plugin: config
  config_name: system.performance
migration_dependencies:
  required: {  }
  optional: {  }
